LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::text::SizeType Constant Group Referencepublished

The height value of objects like text frames or table rows may be interpreted in different ways. More...

## Variables
const short | VARIABLE = 0
const short | FIX = 1
const short | MIN = 2
| The height property determines the minimum height of the object, but the actual height will be increased if the content demands it. More...

## Detailed Description

The height value of objects like text frames or table rows may be interpreted in different ways.

The values may specify the absolute height (SIZETYPE_FIX), the minimum height (SIZETYPE_MIN), or they are ignored (SIZETYPE_VAR), in which case the real height depends on the content. This information is contained in a property called "SizeType".

## Variable Documentation

const short FIX = 1

const short MIN = 2

The height property determines the minimum height of the object, but the actual height will be increased if the content demands it.

const short VARIABLE = 0